Skip to main content
GET
/
v1
/
search
Per-user semantic search
curl --request GET \
  --url https://api.clipping.cc/v1/search \
  --header 'Authorization: Bearer <token>'
{
  "q": "<string>",
  "count": 123,
  "hits": [
    {
      "chunk_id": "<string>",
      "score": 123,
      "item_id": "<string>",
      "source_type": "<string>",
      "source_id": "<string>",
      "text": "<string>",
      "start_seconds": 123,
      "end_seconds": 123,
      "collection_ids": [
        "<string>"
      ],
      "reporter_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clipping.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the header: Authorization: Bearer ck_live_…

Query Parameters

q
string
required

Search text.

top_k
integer
default:10
Required range: x <= 50
collection_id
string
reporter_id
string
item_id
string
source_type
string

Response

Results ordered by score.

q
string
count
integer
hits
object[]